- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Ipopt::Mc19TSymScalingMethod Class Reference

Class for the method for computing scaling factors for symmetric matrices in triplet format, using MC19. More...

`#include <IpMc19TSymScalingMethod.hpp>`

Inheritance diagram for Ipopt::Mc19TSymScalingMethod:

[legend]
Collaboration diagram for Ipopt::Mc19TSymScalingMethod:

[legend]
List of all members.

## Public Member Functions
virtual bool | InitializeImpl (const OptionsList &options, const std::string &prefix)
| overloaded from AlgorithmStrategyObject
virtual bool | ComputeSymTScalingFactors (Index n, Index nnz, const ipfint *airn, const ipfint *ajcn, const double *a, double *scaling_factors)
| Method for computing the symmetric scaling factors, given the symmtric matrix in triplet (MA27) format.
Constructor/Destructor
| Mc19TSymScalingMethod ()
virtual | ~Mc19TSymScalingMethod ()
## Private Member Functions
Default Compiler Generated Methods (Hidden to avoid
implicit creation/calling). These methods are not implemented and we do not want the compiler to implement them for us, so we declare them private and do not define them. This ensures that they will not be implicitly created/called.
| Mc19TSymScalingMethod (const Mc19TSymScalingMethod &)
| Copy Constructor.
void | operator= (const Mc19TSymScalingMethod &)
| Overloaded Equals Operator.

## Detailed Description

Class for the method for computing scaling factors for symmetric matrices in triplet format, using MC19.

Definition at line 21 of file IpMc19TSymScalingMethod.hpp.

## Constructor & Destructor Documentation

Ipopt::Mc19TSymScalingMethod::Mc19TSymScalingMethod | ( |  | ) | `[inline]`

Definition at line 26 of file IpMc19TSymScalingMethod.hpp.

virtual Ipopt::Mc19TSymScalingMethod::~Mc19TSymScalingMethod | ( |  | ) | `[inline, virtual]`

Definition at line 29 of file IpMc19TSymScalingMethod.hpp.

Ipopt::Mc19TSymScalingMethod::Mc19TSymScalingMethod | ( | const Mc19TSymScalingMethod & |  | ) | `[private]`

Copy Constructor.

## Member Function Documentation

virtual bool Ipopt::Mc19TSymScalingMethod::InitializeImpl | ( | const OptionsList & | options,
|  | const std::string & | prefix |
| ) |  |  | `[virtual]`

overloaded from AlgorithmStrategyObject

Implements Ipopt::TSymScalingMethod.

virtual bool Ipopt::Mc19TSymScalingMethod::ComputeSymTScalingFactors | ( | Index | n,
|  | Index | nnz,
|  | const ipfint * | airn,
|  | const ipfint * | ajcn,
|  | const double * | a,
|  | double * | scaling_factors |
| ) |  |  | `[virtual]`

Method for computing the symmetric scaling factors, given the symmtric matrix in triplet (MA27) format.

void Ipopt::Mc19TSymScalingMethod::operator= | ( | const Mc19TSymScalingMethod & |  | ) | `[private]`

Overloaded Equals Operator.

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Ipopt-3.5.1/Ipopt/src/Algorithm/LinearSolvers/IpMc19TSymScalingMethod.hpp